POST
/v1/apis/{apiId}/apikeys/{id}
http://appsync.{region}.amazonaws.com/v1/apis/{apiId}/apikeys/{id}Updates an API key. You can update the key as long as it's not deleted.
Access Token Required: API Key
Path Parameters
apiIdstringrequired
The ID for the GraphQL API.
idstringrequired
The API key ID.
Body Params
expiresinteger
From the update time, the time after which the API key expires. The date is represented as seconds since the epoch. For more information, see .
descriptionstring
A description of the purpose of the API key.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://appsync.{region}.amazonaws.com/v1/apis/{apiId}/apikeys/{id}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}